summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorAlon Bar-Lev <alon.barlev@gmail.com>2017-01-20 23:39:41 +0200
committerAlon Bar-Lev <alon.barlev@gmail.com>2017-01-23 20:51:36 +0200
commit087298974ca620a4aebfdc421b2f067924057749 (patch)
tree17e6595eec88405d872dd2fd14ca00c868489b98 /tests
parentcfac494aa549a3d3e5d00c08c4e2b4d11f31bd9e (diff)
downloadgnutls-087298974ca620a4aebfdc421b2f067924057749.tar.gz
tests: skip tests that requires tools if tools are disabled
building with --disable-tools should not cause test failure. Signed-off-by: Alon Bar-Lev <alon.barlev@gmail.com>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/key-tests/illegal-rsa6
1 files changed, 5 insertions, 1 deletions
diff --git a/tests/key-tests/illegal-rsa b/tests/key-tests/illegal-rsa
index aacd97e306..9e6a5b6895 100755
--- a/tests/key-tests/illegal-rsa
+++ b/tests/key-tests/illegal-rsa
@@ -22,12 +22,16 @@ srcdir="${srcdir:-.}"
CERTTOOL="${CERTTOOL:-../../src/certtool${EXEEXT}}"
GREP="${GREP:-grep}"
-TMPFILE=tmp-key.$$.p8
+if ! test -x "${CERTTOOL}"; then
+ exit 77
+fi
if ! test -z "${VALGRIND}"; then
VALGRIND="${LIBTOOL:-libtool} --mode=execute ${VALGRIND} --error-exitcode=1"
fi
+TMPFILE=tmp-key.$$.p8
+
${VALGRIND} "${CERTTOOL}" -k --password 1234 --infile "${srcdir}/data/p8key-illegal.pem"
rc=$?
# We're done.